﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsAppUP02._02Alekseev8
{
    /// <summary>
    /// Класс FormMain, в котором происходит генерация рисунка
    /// </summary>
    public partial class FormMain : Form
    {
        /// <summary>
        /// Инициализация компонентов
        /// </summary>
        public FormMain()
        {
            InitializeComponent();
        }
        
        /// <summary>
        /// Метод, в котором создаются объекты Graphics, происходит формирование рисунка с помощью класса Brushes и циклов For
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void FormMainPaint(object sender, PaintEventArgs e)
        {

            Graphics g = e.Graphics;
            g.Clear(Color.White);

            for (int i = 0; i < 1; i++)
            {
                g.DrawLine(new Pen(Brushes.Brown, 2), 10, 4 * i + 20, 200, 4 * i + 20);
            }

            for (int i = 0; i < 1; i++)
            {
                g.DrawLine(new Pen(Brushes.Brown, 3), 10, 4 * i + 30, 200, 4 * i + 30);
            }

            for (int i = 0; i < 1; i++)
            {
                g.DrawLine(new Pen(Brushes.Brown, 4), 10, 4 * i + 40, 200, 4 * i + 40);
            }

            for (int i = 0; i < 1; i++)
            {
                g.DrawLine(new Pen(Brushes.Brown, 5), 10, 4 * i + 50, 200, 4 * i + 50);
            }

            for (int i = 0; i < 1; i++)
            {
                g.DrawLine(new Pen(Brushes.Brown, 6), 10, 4 * i + 60, 200, 4 * i + 60);
            }
        }
    }
}
